Package: org.grails.encoder.impl

## [Java] Class HTML4Codec

- org.grails.encoder.impl.HTML4Codec

- All Implemented Interfaces and Traits:
    CodecFactory

      public class HTML4Codec
      extends java.lang.Object
      implements CodecFactory

  Encodes and decodes strings to and from HTML. It uses escaping information from Spring's HtmlUtils so that this is compatible with the previous "encodeAsHTML" in older Grails versions.

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `CODEC_NAME` |
    `private static Decoder` | `decoder` |
    `private static Encoder` | `encoder` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Decoder` | `getDecoder()`
    `` | `public Encoder` | `getEncoder()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### static final java.lang.String CODEC_NAME

    - #### private static Decoder decoder

    - #### private static Encoder encoder

  - ### Method Detail

    - #### public Decoder getDecoder()

    - #### public Encoder getEncoder()